﻿@model IEnumerable<object>
@{
    ViewBag.Title = "getMember";
    Layout = "~/Views/Shared/_Layout.cshtml";
    List<PMS02.Models.User> listMember = Model.ToList()[0] as List<PMS02.Models.User>;

    var projectId = Request.QueryString["projectId"];
}

<h2>getMember</h2>

<div class="row">

    <div class="col-sm-12">
        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
            <div class="panel-heading">
                <h3 class="panel-title">Project Team Leaders And Junior Engineers</h3>
            </div>
            <div class="panel-body table-responsive">
                <table class="table table-condensed table-bordered table-hover">

                    <tr class="danger">

                        <th>
                            Actor Name
                        </th>

                        <th>
                            Actor Email
                        </th>

                        <th>
                            Actor Job
                        </th>
                        <th>
                            Remove
                        </th>

                    </tr>

                    @foreach (var user in listMember)
                    {
                        <tr class="success">

                            <td>
                                @Html.DisplayFor(model => user.User_Name)
                            </td>

                            <td>
                                @Html.DisplayFor(model => user.Email)
                            </td>

                            <td>
                                @Html.DisplayFor(model => user.Job_Description)
                            </td>
                            <td>
                                @using (Html.BeginForm("removeMember", "PM", new { userId = user.userID, projectId = projectId }, FormMethod.Post))
                                {
                                    Html.AntiForgeryToken();
                                        <button type="submit" value="Remove" class="btn btn-success btn btn-sm"><span class="glyphicon glyphicon-remove"></span>Remove</button>
                                    }
                                
                            </td>



                        </tr>


                    }

                </table>

            </div>
        </div>
    </div>

</div>